Page MenuHomePhabricator

Build Projects v3
Closed, ResolvedPublic

Subscribers
Tokens
"Love" token, awarded by robertkraig."Love" token, awarded by storrgie."Love" token, awarded by exp10r3r."Love" token, awarded by oysterFAKE."Love" token, awarded by clemvangelis."Like" token, awarded by sgates."Like" token, awarded by vuamitom."Love" token, awarded by josetesan."Love" token, awarded by chad."Love" token, awarded by 20after4."Love" token, awarded by frans.kasper."Love" token, awarded by ajvorobiev."Love" token, awarded by kornrunner."Love" token, awarded by activars."Love" token, awarded by kislinsk."Love" token, awarded by tycho.tatitscheff."Love" token, awarded by uaoleg."Love" token, awarded by nateguchi2."Love" token, awarded by slashsBin."Love" token, awarded by mholden."Love" token, awarded by cinek."Love" token, awarded by carwyn."Love" token, awarded by bear."Love" token, awarded by CaptSpot."Love" token, awarded by Luke081515.2.
Assigned To
Authored By
epriestley, Sep 9 2015

Description

Umbrella task for the next major Projects iteration and adjacent work. Primary goals include:

  • (T3670) Implementing subprojects (sprints, milestones, iterations)
  • (T5558, approximately) Modularizing project tabs
  • (Various) Various UI and behavioral improvements for workboards.
  • Other easily resolved adjacent work
  • (T3980) "Bind to external source" for project membership

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
carwyn added a subscriber: carwyn.
timor added a subscriber: timor.Sep 23 2015, 8:32 AM
mikn added a subscriber: mikn.Sep 24 2015, 11:06 AM
cinek awarded a token.Sep 29 2015, 9:16 PM
mholden added a subscriber: mholden.
clippit added a subscriber: clippit.Oct 8 2015, 7:15 AM
dtf added a subscriber: dtf.Oct 12 2015, 3:01 PM
nateguchi2 added a subscriber: nateguchi2.
srijan added a subscriber: srijan.Oct 16 2015, 11:46 AM
uaoleg added a subscriber: uaoleg.

What is the timeline?

anda added a subscriber: anda.Nov 4 2015, 11:52 AM
robwiss added a subscriber: robwiss.Nov 5 2015, 3:16 PM

Is this likely to be completed this year? We have some teams expressing interest in this feature and I might be able to convince management to get onboard with paid prioritization (although this ticket is also prioritorized right?)

This is already prioritized, yes. See the weekly dev log for my plans through the end of the yar.

Grimeh added a subscriber: Grimeh.Nov 6 2015, 1:26 AM
kornrunner added a subscriber: kornrunner.
chad awarded a token.Nov 20 2015, 9:54 PM
sgates added a subscriber: sgates.
chr86 added a subscriber: chr86.Jan 13 2016, 8:04 AM
nochum added a subscriber: nochum.Jan 13 2016, 10:19 PM
exp10r3r added a subscriber: exp10r3r.
storrgie added a subscriber: storrgie.
chad moved this task from Projects v3 to v3 on the Projects board.Feb 5 2016, 7:39 PM
chad edited projects, added Projects (v3); removed Projects.
epriestley moved this task from Preflight to The Queue on the Prioritized board.Feb 7 2016, 4:15 AM
ablekh added a subscriber: ablekh.Feb 11 2016, 9:38 AM
epriestley closed this task as Resolved.Feb 12 2016, 9:49 PM
epriestley claimed this task.

This is now substantially complete.

  • See T10349 for followups / errata.
  • Guidance on the new features will be forthcoming in the Changelog this evening or tomorrow.
urzds added a subscriber: urzds.Jul 12 2017, 11:12 AM